[PC-BSD Commits] r1009 - pbibuild/modules/gambas/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Wed Dec 12 15:00:42 PST 2007


Author: gonzalo
Date: 2007-12-12 15:00:42 -0800 (Wed, 12 Dec 2007)
New Revision: 1009

Modified:
   pbibuild/modules/gambas/overlay-dir/PBI.RemoveScript.sh
Log:
Now should asks for removing the user profile (.gambas folder)

Modified: pbibuild/modules/gambas/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/gambas/overlay-dir/PBI.RemoveScript.sh	2007-12-12 22:55:06 UTC (rev 1008)
+++ pbibuild/modules/gambas/overlay-dir/PBI.RemoveScript.sh	2007-12-12 23:00:42 UTC (rev 1009)
@@ -16,3 +16,20 @@
 rm -fR /usr/local/lib/gambas
 rm -fR /usr/local/share/examples/gambas
 rm -fR /usr/local/share/gambas
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Gambas user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.gambas" ]
+   then
+    rm -rf /home/${i}/.gambas
+   fi
+  done
+ fi
+fi



More information about the Commits mailing list